aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xapi/tests/send_me_a_zblock.sh31
1 files changed, 29 insertions, 2 deletions
diff --git a/api/tests/send_me_a_zblock.sh b/api/tests/send_me_a_zblock.sh
index b5f9d0d..73f514e 100755
--- a/api/tests/send_me_a_zblock.sh
+++ b/api/tests/send_me_a_zblock.sh
@@ -1,5 +1,32 @@
#!/bin/bash
PROGRAM="$(basename $0)"
printf '[%s]\n' "$PROGRAM"
-printf "#TODO Send me a block /sblk endpoint\n"
-# curl http://127.0.0.1:8610/v0/sblk
+printf "\t01:\tendpoint with valid data"
+curl http://127.0.0.1:8610/v0/sblk --header 'Content-Type: application/json' --data-raw '{"zblock":"'$(ak-get-zlatest)'"}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"
+
+printf "\t02:\tendpoint with invalid data"
+curl http://127.0.0.1:8610/v0/sblk --header 'Content-Type: application/json' --data-raw '{"zblock":"'$(ak-get-zlatest)'sdfas"}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"
+
+printf "\t03:\tendpoint no data"
+curl http://127.0.0.1:8610/v0/sblk --header 'Content-Type: application/json' --data-raw '{"zblock":""}' 2>/dev/null | jq -M -c > /dev/null
+if [ "$?" == "0" ]
+then
+ printf "\t\t\033[0;32mPASSED\033[0;0m"
+else
+ printf "\t\033[0;31mFAILED\033[0;0m"
+fi
+printf "\n"